GPSDRIVE-INIT-DB(1)

NAME
geoinfo.pl Version 0.9

DESCRIPTION
geoinfo.pl is a program to download and convert waypoints and other geospacial data for use with the new gpsdrive POI Database. You need to have mySQL Support.

This Programm is completely experimental, but some Data can already be retrieved with it.

So: Have Fun, improve it and send me fixes :-))

WARNING:
    This programm replaces some/all waypoints of desire.
    So any changes made to the database may be overwritten!!!
    If you have any self collected/changed Data do a backup first!!

SYNOPSIS
Common usages:

gpsdrive-init-db [-d] [-v] [-h]

OPTIONS

--man Complete documentation
    Complete documentation

    Try creating the tables inside the geoinfo database. This also fills the database with some predefined types. and imports wour way*.txt Files. This also creates and modified the old waypoints table.

    Fill the Databases with usefull defaults. This option is needed before you can import any of the other importers.

--db-name
    Name of Database to use; default is geoinfo

--db-user
    username to connect to mySQL database. Default is gast

--db-password
    password for user to connect to mySQL database. Default is gast

--db-host
    hostname for connecting to your mySQL database. Default is localhost